Gentoo Archives: gentoo-commits

From: Thomas Deutschmann <whissi@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/awscli/
Date: Fri, 14 Feb 2020 15:15:46
Message-Id: 1581693101.02efc6e676ad35e713b61863653d11a9c626c15b.whissi@gentoo
commit:     02efc6e676ad35e713b61863653d11a9c626c15b
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 15:11:41 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 15:11:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02efc6e6

dev-python/awscli: bump to v1.17.17

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-python/awscli/Manifest              |  1 +
 dev-python/awscli/awscli-1.17.17.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/awscli/Manifest b/dev-python/awscli/Manifest
index 3b76583751f..7d0100f5f43 100644
--- a/dev-python/awscli/Manifest
+++ b/dev-python/awscli/Manifest
@@ -1,3 +1,4 @@
 DIST awscli-1.16.310.tar.gz 1615978 BLAKE2B ca5d4f6d7cc12b7346eedda837eb4c9c470434514139c747d0652f398b17afcfcd18410645a47f4a6e72b7520021713e6dd377a0268f8958f6c85ac7909ef917 SHA512 d3ad61d632a3f1f2922102f7d8e3a2943c91f8b32a64e02167ba2ad415165d3be2c55ef8cd75db1510750ec43916b7064d098f0de4f727f51b9d639c76f08b70
 DIST awscli-1.16.314.tar.gz 1645286 BLAKE2B 085bab3971ed037a23fbd336f367becf2cc4aded04def176fbe6e073b5e010af4aeb0c0e6b43212837a2544ff6734f73e4a2165f61744263649c4a0b21a43424 SHA512 6268ba5a7332c8a7ba36602cd1ee55dfc4dbbf14124c20b5ec1e524a88db11e2f57e7a553882b774a25376c5c2b280c2863c4253ff4a994b72049c361ffddc58
+DIST awscli-1.17.17.tar.gz 1695067 BLAKE2B 5b3db22f3c4f2ad2ed993db76313e4fc5ebba7ae8f43b29d6d8ffb9b1b13bbf4b82e8bbe972db709f319dbd6150046fd51afb7338efedb4f021509ecb4422914 SHA512 72b3d8147b5c08685bb851bbba5d27fe0de55124acf0163868e98bf0bb9000309f00ff646e4b38f2bce291edfdfeeb72f449dbde77ea8ba5aa3b853d82c1393b
 DIST awscli-1.17.7.tar.gz 1661103 BLAKE2B c88e119672284e60a6de54bd60f9096640e6115e45df3cecb61d8dc037b5880caf2d3aeb192b6fd06fd8667d7dcb948c1d6aaf3d0942796c3eb886e96534a627 SHA512 6cbe4458fcda6e4afd3cd14b654bf0eecaa611210430edc9c9b6edf18b2f4ecfa042c495a6bba9a7a46732e68bbe87ac111566c0f5786d7482e4d150cf7e59f7

diff --git a/dev-python/awscli/awscli-1.17.17.ebuild b/dev-python/awscli/awscli-1.17.17.ebuild
new file mode 100644
index 00000000000..aa486867ce7
--- /dev/null
+++ b/dev-python/awscli/awscli-1.17.17.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="https://pypi.org/project/awscli/"
+#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+# requires network access
+RESTRICT="test"
+
+RDEPEND="
+	>=dev-python/botocore-1.14.17[${PYTHON_USEDEP}]
+	<dev-python/colorama-0.4.2[${PYTHON_USEDEP}]
+	dev-python/docutils[${PYTHON_USEDEP}]
+	<dev-python/rsa-3.5.0.0[${PYTHON_USEDEP}]
+	>=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+	<dev-python/pyyaml-5.2.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
+
+S="${WORKDIR}/aws-cli-${PV}"
+
+python_test() {
+	nosetests -vv || die
+}
+
+python_install_all() {
+	newbashcomp bin/aws_bash_completer aws
+
+	insinto /usr/share/zsh/site-functions
+	newins bin/aws_zsh_completer.sh _aws
+
+	distutils-r1_python_install_all
+
+	rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
+}